//+------------------------------------------------------------------+
//|                                                           GT.mq4 |
//|                                                              WAK |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "WAK"
#property link      "----"

//--------------------------------------------------------------------
extern string     s0          = "Setup: Main";
extern int        Magic       = 1121;
extern double     lots        = 0.1;
extern int        StopLoss    = 10;
extern int        TakeProfit  = 40;

extern string     s1          = "Setup: MA_rsi";
extern int        maPeriod    = 50;
extern int        maMethod    = MODE_EMA;
extern int        maPrice     = PRICE_CLOSE;
extern int        rsiPeriod   = 40;
extern int        rsiLevel    = 50;

extern string     s2          = "Setup: Slope_Direction_Line";
extern int        period      = 20; 
extern int        method      = 3;     // MODE_SMA 
extern int        price       = 0;     // PRICE_CLOSE
int               slip        = 3;



//--------------------------------------------------------------------
//The main condition--------------------------------------------------
int start ()
{
      static datetime TimeFlag = 0;
      datetime        TimeLast = Time[0];
      if (TimeFlag < TimeLast)
      {
         TimeFlag = TimeLast;
         
         int HA = GetSignal_HA();
         int MA = GetSignal_MA();
         int SD = GetSignal_SD();

         AnalyzeSignals(HA, MA, SD);
      
      }
      return (0);

}

void AnalyzeSignals(int HA, int MA, int SD)
{
      int res;
      
      if(HA == OP_BUY && MA == OP_BUY && SD == OP_BUY)         //Buy
      {
         res = OrderSend(Symbol(), OP_BUY, lots, Ask, slip, Bid - StopLoss*Point, Bid + TakeProfit*Point, NULL, Magic);
         if(res < 0) {Alert("Oreder Sent Error", GetLastError());}
      }
      
      else if(HA == OP_SELL && MA == OP_SELL && SD == OP_SELL) //Sell
      {
         res = OrderSend(Symbol(), OP_SELL, lots, Bid, slip, Ask + StopLoss*Point, Ask - TakeProfit*Point, NULL, Magic);
         if(res < 0) {Alert("Oreder Sent Error", GetLastError());}
      }
}

//--------------------------------------------------------------------
//Indicators funktion-------------------------------------------------
// Heiken Ashi

int GetSignal_HA()
{
      double ha2 = iCustom(NULL, 0, "HeikenAshi", 2, 1);
      double ha3 = iCustom(NULL, 0, "HeikenAshi", 3, 1);
   

   if(ha2 > ha3)
      return(OP_BUY);
   else if(ha2 < ha3)
      return(OP_SELL);
   else
      return(-1);
}

//--------------
// MA RSI

int GetSignal_MA()
{
  double ma0 = iCustom(NULL, 0, "MA_rsi", rsiPeriod, maPrice, 0, 1);
   
  if(ma0 < rsiLevel)
  return(OP_BUY);
  else if(ma0 > rsiLevel)
  return(OP_SELL);
  else
  return(-1);
}

//--------------
// Slope Direction Line

int GetSignal_SD()
{
      double sd0 = iCustom(NULL, 0, "Slope_Direction_Line", period, method, price, 0, 1); 
      double sd1 = iCustom(NULL, 0, "Slope_Direction_Line", period, method, price, 1, 1); 
   
   if(sd0 != EMPTY_VALUE)
      return(OP_BUY);
   else if(sd1 != EMPTY_VALUE)
      return(OP_SELL);
   else
      return(-1);    
}
//--------------------------------------------------------------------


